package roneditor.ronview.edit.policies;

import org.eclipse.gef.commands.Command;
import org.eclipse.gef.editpolicies.ComponentEditPolicy;
import org.eclipse.gef.requests.GroupRequest;

import roneditor.ronview.commands.DeleteHLNodeCommand;
import ronmodel.HLNode;

/**
 * EditPolicy for a {@link HLNode}
 */
public class HLNodeComponentEditPolicy extends ComponentEditPolicy {

	/**
	 * 
	 */
	public HLNodeComponentEditPolicy() {
		super();
	}

	/**
	 * @see org.eclipse.gef.editpolicies.ComponentEditPolicy#createDeleteCommand(org.eclipse.gef.requests.GroupRequest)
	 */
	protected Command createDeleteCommand(GroupRequest deleteRequest) {
		HLNode hlNode = (HLNode) getHost().getModel();
		DeleteHLNodeCommand deleteCmd = new DeleteHLNodeCommand(hlNode);
		return deleteCmd;
	}
}
