package roneditor.dialogs;

import org.eclipse.swt.SWT;
import org.eclipse.swt.events.MouseAdapter;
import org.eclipse.swt.events.MouseEvent;
import org.eclipse.swt.layout.FormAttachment;
import org.eclipse.swt.layout.FormData;
import org.eclipse.swt.layout.FormLayout;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Display;
import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.swt.widgets.Text;

import roneditor.objectnetview.dialogs.ONTransitionPropertiesDialog;
import ronmodel.HLTransitionKind;

/**
 * This code was edited or generated using CloudGarden's Jigloo SWT/Swing GUI
 * Builder, which is free for non-commercial use. If Jigloo is being used
 * commercially (ie, by a corporation, company or business for any purpose
 * whatever) then you should purchase a license for each developer using Jigloo.
 * Please visit www.cloudgarden.com for details. Use of Jigloo implies
 * acceptance of these licensing terms. A COMMERCIAL LICENSE HAS NOT BEEN
 * PURCHASED FOR THIS MACHINE, SO JIGLOO OR THIS CODE CANNOT BE USED LEGALLY FOR
 * ANY CORPORATE OR COMMERCIAL PURPOSE.
 */
public class HLTransitionPropertiesDialog extends AbstractPropertiesDialog {
	private Composite rootComposit;

	private Button standardRadioButton;

	private Button splitRadioButton;

	private Button cancelButton;

	private Button okButton;

	private Text nameValueText;

	private Label nameLabel;

	private Button applyRuleRadioButton;

	private Button fireRadioButton;

	private String transitionName;

	private HLTransitionKind kind;

	public HLTransitionPropertiesDialog(Shell parent, int style) {
		super(parent, style);
	}

	public static void main(String[] args) {
		try {
			Display display = Display.getDefault();
			Shell shell = new Shell(display);
			ONTransitionPropertiesDialog inst = new ONTransitionPropertiesDialog(
					shell, SWT.NULL);
			inst.setTitle("ku ku");
			inst.open();
		} catch (Exception e) {
			e.printStackTrace();
		}
	}

	public void init() {
		try {
			Shell parent = getParent();
			dialogShell = new Shell(parent, SWT.DIALOG_TRIM
					| SWT.APPLICATION_MODAL);

			FormLayout dialogShellLayout = new FormLayout();
			dialogShell.setLayout(dialogShellLayout);
			dialogShell.layout();
			dialogShell.pack();
			dialogShell.setSize(162, 132);
			dialogShell.setBounds(449, 260, 162, 132);
			{
				rootComposit = new Composite(dialogShell, SWT.NONE);
				FormLayout rootCompositLayout = new FormLayout();
				rootComposit.setLayout(rootCompositLayout);
				FormData rootCompositLData = new FormData();
				rootCompositLData.width = 154;
				rootCompositLData.height = 105;
				rootCompositLData.left = new FormAttachment(0, 1000, 0);
				rootCompositLData.top = new FormAttachment(0, 1000, 0);
				rootComposit.setLayoutData(rootCompositLData);
				{
					cancelButton = new Button(rootComposit, SWT.PUSH
							| SWT.CENTER);
					cancelButton.setText("Cancel");
					cancelButton.addMouseListener(new MouseAdapter() {
						public void mouseDown(MouseEvent evt) {
							cancelMouseDown(evt);
						}
					});
					FormData cancelButtonLData = new FormData();
					cancelButtonLData.width = 42;
					cancelButtonLData.height = 21;
					cancelButtonLData.left = new FormAttachment(0, 1000, 77);
					cancelButtonLData.top = new FormAttachment(0, 1000, 77);
					cancelButton.setLayoutData(cancelButtonLData);
				}
				{
					okButton = new Button(rootComposit, SWT.PUSH | SWT.CENTER);
					okButton.setText("Ok");
					okButton.addMouseListener(new MouseAdapter() {
						public void mouseDown(MouseEvent evt) {
							okMouseDown(evt);
						}
					});
					FormData okButtonLData = new FormData();
					okButtonLData.width = 28;
					okButtonLData.height = 21;
					okButtonLData.left = new FormAttachment(0, 1000, 28);
					okButtonLData.top = new FormAttachment(0, 1000, 77);
					okButton.setLayoutData(okButtonLData);
				}
				{
					nameValueText = new Text(rootComposit, SWT.NONE);
					FormData nameValueTextLData = new FormData();
					nameValueTextLData.width = 91;
					nameValueTextLData.height = 14;
					nameValueTextLData.left = new FormAttachment(0, 1000, 56);
					nameValueTextLData.top = new FormAttachment(0, 1000, 49);
					nameValueText.setLayoutData(nameValueTextLData);
				}
				{
					nameLabel = new Label(rootComposit, SWT.NONE);
					nameLabel.setText("Name");
					FormData nameLabelLData = new FormData();
					nameLabelLData.width = 42;
					nameLabelLData.height = 14;
					nameLabelLData.left = new FormAttachment(0, 1000, 10);
					nameLabelLData.top = new FormAttachment(0, 1000, 52);
					nameLabel.setLayoutData(nameLabelLData);
				}
				{
					splitRadioButton = new Button(rootComposit, SWT.RADIO
							| SWT.LEFT);
					splitRadioButton.setText("SPLIT");
					splitRadioButton.addMouseListener(new MouseAdapter() {
						@Override
						public void mouseUp(MouseEvent e) {
							setNotSelected();
							splitRadioButton.setSelection(true);
							super.mouseUp(e);
						}
					});
					FormData splitRadioButtonLData = new FormData();
					splitRadioButtonLData.width = 70;
					splitRadioButtonLData.height = 14;
					splitRadioButtonLData.left = new FormAttachment(0, 1000, 98);
					splitRadioButtonLData.top = new FormAttachment(0, 1000, 28);
					splitRadioButton.setLayoutData(splitRadioButtonLData);
				}
				{
					applyRuleRadioButton = new Button(rootComposit, SWT.RADIO
							| SWT.LEFT);
					applyRuleRadioButton.setText("APPLYRULE");
					applyRuleRadioButton.addMouseListener(new MouseAdapter() {
						@Override
						public void mouseUp(MouseEvent e) {
							setNotSelected();
							applyRuleRadioButton.setSelection(true);
							super.mouseUp(e);
						}
					});
					FormData applyRuleRadioButtonLData = new FormData();
					applyRuleRadioButtonLData.width = 91;
					applyRuleRadioButtonLData.height = 14;
					applyRuleRadioButtonLData.left = new FormAttachment(0,
							1000, 7);
					applyRuleRadioButtonLData.top = new FormAttachment(0, 1000,
							28);
					applyRuleRadioButton
							.setLayoutData(applyRuleRadioButtonLData);
				}
				{
					fireRadioButton = new Button(rootComposit, SWT.RADIO
							| SWT.LEFT);
					fireRadioButton.setText("FIRE");
					fireRadioButton.addMouseListener(new MouseAdapter() {
						@Override
						public void mouseUp(MouseEvent e) {
							setNotSelected();
							fireRadioButton.setSelection(true);
							super.mouseUp(e);
						}
					});
					FormData fireRadioButtonLData = new FormData();
					fireRadioButtonLData.width = 63;
					fireRadioButtonLData.height = 14;
					fireRadioButtonLData.left = new FormAttachment(0, 1000, 98);
					fireRadioButtonLData.top = new FormAttachment(0, 1000, 7);
					fireRadioButton.setLayoutData(fireRadioButtonLData);
				}
				{
					standardRadioButton = new Button(rootComposit, SWT.RADIO
							| SWT.LEFT);
					standardRadioButton.setText("STANDARD");
					standardRadioButton.addMouseListener(new MouseAdapter() {
						@Override
						public void mouseUp(MouseEvent e) {
							setNotSelected();
							standardRadioButton.setSelection(true);
							super.mouseUp(e);
						}
					});
					FormData standardRadioButtonLData = new FormData();
					standardRadioButtonLData.width = 84;
					standardRadioButtonLData.height = 14;
					standardRadioButtonLData.left = new FormAttachment(0, 1000,
							7);
					standardRadioButtonLData.top = new FormAttachment(0, 1000,
							7);
					standardRadioButton.setLayoutData(standardRadioButtonLData);
				}
				{
					setNotSelected();
					standardRadioButton.setSelection(true);
				}
			}
		} catch (Exception e) {
			e.printStackTrace();
		}
	}

	private void okMouseDown(MouseEvent evt) {
		transitionName = nameValueText.getText();
		kind = getSelectedRadioButton();
		dialogShell.close();
	}

	public HLTransitionKind getKind() {
		return kind;

	}

	public void setKind(HLTransitionKind kind) {
		setNotSelected();
		if (kind == HLTransitionKind.APPLYRULE_LITERAL) {
			applyRuleRadioButton.setSelection(true);
			return;
		}
		if (kind == HLTransitionKind.FIRE_LITERAL) {
			fireRadioButton.setSelection(true);
			return;
		}
		if (kind == HLTransitionKind.STANDARD_LITERAL) {
			standardRadioButton.setSelection(true);
			return;
		}
		splitRadioButton.setSelection(true);

	}

	public String getTransitionName() {
		return transitionName;
	}

	public void setTransitionName(String transitionName) {
		nameValueText.setText(transitionName);
	}

	private void setNotSelected() {
		standardRadioButton.setSelection(false);
		fireRadioButton.setSelection(false);
		applyRuleRadioButton.setSelection(false);
		splitRadioButton.setSelection(false);
	}

	private HLTransitionKind getSelectedRadioButton() {
		if (standardRadioButton.getSelection())
			return HLTransitionKind.STANDARD_LITERAL;
		if (fireRadioButton.getSelection())
			return HLTransitionKind.FIRE_LITERAL;
		if (applyRuleRadioButton.getSelection())
			return HLTransitionKind.APPLYRULE_LITERAL;
		return HLTransitionKind.SPLIT_LITERAL;
	}
}
