package roneditor.figures;

import org.eclipse.draw2d.geometry.Point;

/**
 * In dieser Klasse wird die Aktuelle Position vom Mouszeiger global
 * gespeichert.
 */
public class Mouse {
	private static Point position = new Point();

	private static Point clickPosition = new Point();

	/**
	 * @return Aktuelle Mouseposition
	 */
	public static Point getCurrentPosition() {
		return position;
	}

	/**
	 * @return Die letzte ClickPosition vom Mouse
	 */
	public static Point getClickPosition() {
		return clickPosition;
	}
}
