package roneditor.ronview.edit.policies;

import org.eclipse.gef.commands.Command;
import org.eclipse.gef.editpolicies.ConnectionEditPolicy;
import org.eclipse.gef.requests.GroupRequest;

import roneditor.ronview.commands.DeleteHLArcCommand;
import ronmodel.HLArc;

/**
 * Edit policy for a {@link HLArc}.
 */
public class HLArcEditPolicy extends ConnectionEditPolicy {

	/**
	 * 
	 */
	public HLArcEditPolicy() {
		super();
	}

	/**
	 * @see org.eclipse.gef.editpolicies.ConnectionEditPolicy#getDeleteCommand(org.eclipse.gef.requests.GroupRequest)
	 */
	protected Command getDeleteCommand(GroupRequest request) {
		DeleteHLArcCommand c = new DeleteHLArcCommand();
		c.setHlArc((HLArc) getHost().getModel());
		return c;
	}
}
