package roneditor.ruleview;

import org.eclipse.gef.palette.CreationToolEntry;
import org.eclipse.jface.resource.ImageDescriptor;

import roneditor.objectnetview.ObjectNetPaletteRoot;
import roneditor.ruleview.model.RuleModelCreationFactory;
import ronmodel.Mapping;
/**
 * Main class for the Rule palette. All graphical figures have to be
 * registered here.
 */
public class RulePaletteRoot extends ObjectNetPaletteRoot {
	public RulePaletteRoot() {
		super();
		CreationToolEntry entry;
		ImageDescriptor iconMapping;
		iconMapping = ImageDescriptor.createFromFile(RulePaletteRoot.class,
				"/icons/mapping3.png");
		entry = new RuleMappingCreationToolEntry("Mapping",
				"Creates a Mapping",
				new RuleModelCreationFactory(Mapping.class), iconMapping, null);
		symbols.add(entry);

	}
}
